org.eclipse.jetty.nested

## Class NestedEndPoint

- java.lang.Object
- - org.eclipse.jetty.io.bio.StreamEndPoint
  - - org.eclipse.jetty.nested.NestedEndPoint

All Implemented Interfaces:
  EndPoint

    public class NestedEndPoint
    extends StreamEndPoint

### Constructor Summary

Constructors
Constructor and Description
`NestedEndPoint(javax.servlet.http.HttpServletRequest outerRequest, javax.servlet.http.HttpServletResponse outerResponse)`

### Method Summary

Methods
`String` `getLocalAddr()`
`String` `getLocalHost()`
`int` `getLocalPort()`
`String` `getRemoteAddr()`
`String` `getRemoteHost()`
`int` `getRemotePort()`
`javax.servlet.ServletInputStream` `getServletInputStream()`

### Methods inherited from class org.eclipse.jetty.io.bio.StreamEndPoint

`blockReadable, blockWritable, close, fill, flush, flush, flush, getInputStream, getMaxIdleTime, getOutputStream, getTransport, idleExpired, isBlocking, isClosed, isInputShutdown, isOpen, isOutputShutdown, setInputStream, setMaxIdleTime, setOutputStream, shutdownInput, shutdownOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NestedEndPoint

    public NestedEndPoint(javax.servlet.http.HttpServletRequest outerRequest,
                  javax.servlet.http.HttpServletResponse outerResponse)
                   throws IOException

Throws:
  `IOException`

### Method Detail

#### getServletInputStream

    public javax.servlet.ServletInputStream getServletInputStream()

#### getLocalAddr

    public String getLocalAddr()

Specified by:
  `getLocalAddr` in interface `EndPoint`
Overrides:
  `getLocalAddr` in class `StreamEndPoint`
Returns:
  The local IP address to which this `EndPoint` is bound, or `null` if this `EndPoint` does not represent a network connection.

#### getLocalHost

    public String getLocalHost()

Specified by:
  `getLocalHost` in interface `EndPoint`
Overrides:
  `getLocalHost` in class `StreamEndPoint`
Returns:
  The local host name to which this `EndPoint` is bound, or `null` if this `EndPoint` does not represent a network connection.

#### getLocalPort

    public int getLocalPort()

Specified by:
  `getLocalPort` in interface `EndPoint`
Overrides:
  `getLocalPort` in class `StreamEndPoint`
Returns:
  The local port number on which this `EndPoint` is listening, or `0` if this `EndPoint` does not represent a network connection.

#### getRemoteAddr

    public String getRemoteAddr()

Specified by:
  `getRemoteAddr` in interface `EndPoint`
Overrides:
  `getRemoteAddr` in class `StreamEndPoint`
Returns:
  The remote IP address to which this `EndPoint` is connected, or `null` if this `EndPoint` does not represent a network connection.

#### getRemoteHost

    public String getRemoteHost()

Specified by:
  `getRemoteHost` in interface `EndPoint`
Overrides:
  `getRemoteHost` in class `StreamEndPoint`
Returns:
  The host name of the remote machine to which this `EndPoint` is connected, or `null` if this `EndPoint` does not represent a network connection.

#### getRemotePort

    public int getRemotePort()

Specified by:
  `getRemotePort` in interface `EndPoint`
Overrides:
  `getRemotePort` in class `StreamEndPoint`
Returns:
  The remote port number to which this `EndPoint` is connected, or `0` if this `EndPoint` does not represent a network connection.